Groovy Documentation

## org.codehaus.groovy.control
[Java] Class ASTTransformationsContext

    java.lang.Object
      org.codehaus.groovy.control.ASTTransformationsContext

    public class ASTTransformationsContext
    extends java.lang.Object

Created by IntelliJ IDEA. User: cedric Date: 06/10/11 Time: 15:13

Field Summary
`protected CompilationUnit` | `compilationUnit`
`protected java.util.Set` | `globalTransformNames`
`protected GroovyClassLoader` | `transformLoader`

Constructor Summary
`ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)`

Method Summary
`CompilationUnit` | `getCompilationUnit()`
`java.util.Set` | `getGlobalTransformNames()`
`GroovyClassLoader` | `getTransformLoader()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### compilationUnit

    protected final CompilationUnit compilationUnit

### globalTransformNames

    protected final java.util.Set globalTransformNames

### transformLoader

    protected final GroovyClassLoader transformLoader

Constructor Detail

### ASTTransformationsContext

    public ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)

Method Detail

### getCompilationUnit

    public CompilationUnit getCompilationUnit()

### getGlobalTransformNames

    public java.util.Set getGlobalTransformNames()

### getTransformLoader

    public GroovyClassLoader getTransformLoader()

Groovy Documentation